

/*************************************/
/* file tokens.h                     */
/* contains the list of tokens used  */
/* by bliksem.                       */
/*************************************/


#define TOK_NAME          100
/* names, and also numbers, and strings. */ 

#define TOK_LESS          101
   /*   <    */
#define TOK_GREATER       102
   /*   >    */ 
#define TOK_LSQBRACKET    103
   /*   [    */
#define TOK_RSQBRACKET    104
   /*   ]    */
#define TOK_LPAR          105
   /*   (    */
#define TOK_RPAR          106
   /*   )    */
#define TOK_LBRACKET      107
   /*   {    */
#define TOK_RBRACKET      108
   /*   }    */

#define TOK_POSSIBLE      109
   /*   <>   */
#define TOK_NECESSARY     110
   /*   []   */


#define TOK_COMMA         111
   /*   ,    */
#define TOK_DOT           112
   /*   .    */
#define TOK_EQUIV         113
   /*   <->  */
#define TOK_IMPLIES       114
   /*   ->   */
#define TOK_OR            115
   /*   |    */
#define TOK_AND           116
   /*   &    */
#define TOK_NOT           117
   /*   !    */
#define TOK_FALSE         118
   /*   ||   */
#define TOK_TRUE          119
   /*   &&   */

#define TOK_EQUAL         120
   /*   =    */
#define TOK_REWRITES      121
   /*   ==>  */
#define TOK_EQUALEQUAL    122
   /*   ==   */
#define TOK_NOTEQUAL      123
   /*   !=   */
#define TOK_NOTEQUALEQUAL 124
   /*   !==  */
#define TOK_LESSEQUAL     125
   /*   <=   */
#define TOK_GREATEREQUAL  126
   /*   >=   */
#define TOK_GREATERGREATER 127
   /*   >>   */
#define TOK_LESSLESS      128
   /*   <<   */
#define TOK_GREATERGREATEREQUAL   129
   /*   >>=  */
#define TOK_LESSLESSEQUAL       130
   /*   <<=  */
#define TOK_GREATERGREATEREQUALEQUAL 131 
   /*   >>== */
#define TOK_LESSLESSEQUALEQUAL  132
   /*   <<== */
#define TOK_IN            133
   /*   :    */



#define TOK_PLUS          134
   /*   +    */
#define TOK_MINUS         135
   /*   -    */
#define TOK_TIMES         136
   /*   *    */
#define TOK_DIVIDES       137
   /*   /    */
#define TOK_POW           138
   /*   ^    */ 

#define TOK_NIL           139
   /*   {}   */ 


#define TOK_NOSPACE       140
   /* Secretly inserted between a name and */
   /* a left parenthesis, when there is    */
   /* no space, and USENOSPACE == 1.       */

#define TOK_EOF           141


/* The following are used by Maphoon:   */

#define MA_DEFAULT  1000
#define MA_EIND     1001
#define MA_ERROR    1002 

/* Determines the size of the Parsestack used by Maphoon: */ 
#define MA_STACK    1000
